Create Augmentation
curl --request POST \
--url https://api.kiteml.com/v1/augmentations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": {
"repo_id": "<string>",
"type": "huggingface"
},
"instructions": "<string>",
"config": {
"episode_count": 3,
"variation_prompts": [
"<string>"
],
"relight": {},
"episodes": "all",
"preview_first": true,
"variants": 5,
"allow_video_fallback": true,
"allow_episode_labelling": true,
"allow_environment_substitutes": true
},
"output": {
"type": "download",
"repo_id": "<string>",
"private": true
},
"model": "<string>",
"environments": {
"ids": [
"<string>"
],
"filter": {
"category": "<string>"
},
"prompt": "<string>",
"count": 10
},
"must_keep": [
"<string>"
],
"reference_images": [
{
"data": "<string>",
"camera": "<string>",
"media_type": "image/jpeg"
}
],
"webhook_metadata": {}
}
'import requests
url = "https://api.kiteml.com/v1/augmentations"
payload = {
"source": {
"repo_id": "<string>",
"type": "huggingface"
},
"instructions": "<string>",
"config": {
"episode_count": 3,
"variation_prompts": ["<string>"],
"relight": {},
"episodes": "all",
"preview_first": True,
"variants": 5,
"allow_video_fallback": True,
"allow_episode_labelling": True,
"allow_environment_substitutes": True
},
"output": {
"type": "download",
"repo_id": "<string>",
"private": True
},
"model": "<string>",
"environments": {
"ids": ["<string>"],
"filter": { "category": "<string>" },
"prompt": "<string>",
"count": 10
},
"must_keep": ["<string>"],
"reference_images": [
{
"data": "<string>",
"camera": "<string>",
"media_type": "image/jpeg"
}
],
"webhook_metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {repo_id: '<string>', type: 'huggingface'},
instructions: '<string>',
config: {
episode_count: 3,
variation_prompts: ['<string>'],
relight: {},
episodes: 'all',
preview_first: true,
variants: 5,
allow_video_fallback: true,
allow_episode_labelling: true,
allow_environment_substitutes: true
},
output: {type: 'download', repo_id: '<string>', private: true},
model: '<string>',
environments: {
ids: ['<string>'],
filter: {category: '<string>'},
prompt: '<string>',
count: 10
},
must_keep: ['<string>'],
reference_images: [{data: '<string>', camera: '<string>', media_type: 'image/jpeg'}],
webhook_metadata: {}
})
};
fetch('https://api.kiteml.com/v1/augmentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kiteml.com/v1/augmentations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source' => [
'repo_id' => '<string>',
'type' => 'huggingface'
],
'instructions' => '<string>',
'config' => [
'episode_count' => 3,
'variation_prompts' => [
'<string>'
],
'relight' => [
],
'episodes' => 'all',
'preview_first' => true,
'variants' => 5,
'allow_video_fallback' => true,
'allow_episode_labelling' => true,
'allow_environment_substitutes' => true
],
'output' => [
'type' => 'download',
'repo_id' => '<string>',
'private' => true
],
'model' => '<string>',
'environments' => [
'ids' => [
'<string>'
],
'filter' => [
'category' => '<string>'
],
'prompt' => '<string>',
'count' => 10
],
'must_keep' => [
'<string>'
],
'reference_images' => [
[
'data' => '<string>',
'camera' => '<string>',
'media_type' => 'image/jpeg'
]
],
'webhook_metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kiteml.com/v1/augmentations"
payload := strings.NewReader("{\n \"source\": {\n \"repo_id\": \"<string>\",\n \"type\": \"huggingface\"\n },\n \"instructions\": \"<string>\",\n \"config\": {\n \"episode_count\": 3,\n \"variation_prompts\": [\n \"<string>\"\n ],\n \"relight\": {},\n \"episodes\": \"all\",\n \"preview_first\": true,\n \"variants\": 5,\n \"allow_video_fallback\": true,\n \"allow_episode_labelling\": true,\n \"allow_environment_substitutes\": true\n },\n \"output\": {\n \"type\": \"download\",\n \"repo_id\": \"<string>\",\n \"private\": true\n },\n \"model\": \"<string>\",\n \"environments\": {\n \"ids\": [\n \"<string>\"\n ],\n \"filter\": {\n \"category\": \"<string>\"\n },\n \"prompt\": \"<string>\",\n \"count\": 10\n },\n \"must_keep\": [\n \"<string>\"\n ],\n \"reference_images\": [\n {\n \"data\": \"<string>\",\n \"camera\": \"<string>\",\n \"media_type\": \"image/jpeg\"\n }\n ],\n \"webhook_metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kiteml.com/v1/augmentations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"source\": {\n \"repo_id\": \"<string>\",\n \"type\": \"huggingface\"\n },\n \"instructions\": \"<string>\",\n \"config\": {\n \"episode_count\": 3,\n \"variation_prompts\": [\n \"<string>\"\n ],\n \"relight\": {},\n \"episodes\": \"all\",\n \"preview_first\": true,\n \"variants\": 5,\n \"allow_video_fallback\": true,\n \"allow_episode_labelling\": true,\n \"allow_environment_substitutes\": true\n },\n \"output\": {\n \"type\": \"download\",\n \"repo_id\": \"<string>\",\n \"private\": true\n },\n \"model\": \"<string>\",\n \"environments\": {\n \"ids\": [\n \"<string>\"\n ],\n \"filter\": {\n \"category\": \"<string>\"\n },\n \"prompt\": \"<string>\",\n \"count\": 10\n },\n \"must_keep\": [\n \"<string>\"\n ],\n \"reference_images\": [\n {\n \"data\": \"<string>\",\n \"camera\": \"<string>\",\n \"media_type\": \"image/jpeg\"\n }\n ],\n \"webhook_metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kiteml.com/v1/augmentations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"source\": {\n \"repo_id\": \"<string>\",\n \"type\": \"huggingface\"\n },\n \"instructions\": \"<string>\",\n \"config\": {\n \"episode_count\": 3,\n \"variation_prompts\": [\n \"<string>\"\n ],\n \"relight\": {},\n \"episodes\": \"all\",\n \"preview_first\": true,\n \"variants\": 5,\n \"allow_video_fallback\": true,\n \"allow_episode_labelling\": true,\n \"allow_environment_substitutes\": true\n },\n \"output\": {\n \"type\": \"download\",\n \"repo_id\": \"<string>\",\n \"private\": true\n },\n \"model\": \"<string>\",\n \"environments\": {\n \"ids\": [\n \"<string>\"\n ],\n \"filter\": {\n \"category\": \"<string>\"\n },\n \"prompt\": \"<string>\",\n \"count\": 10\n },\n \"must_keep\": [\n \"<string>\"\n ],\n \"reference_images\": [\n {\n \"data\": \"<string>\",\n \"camera\": \"<string>\",\n \"media_type\": \"image/jpeg\"\n }\n ],\n \"webhook_metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"awaiting_approval": false,
"config": {
"episode_count": 3,
"video_check": "standard"
},
"created_at": "2026-09-27T01:00:00Z",
"id": "aug_01K62QZ8V4X9C3N7M5T2R8W6HB",
"instructions": "Make the table dark walnut and the light warm",
"model": "video",
"object": "augmentation",
"output": {
"files": [
{
"bytes": 3186,
"path": "meta/info.json",
"url": "https://storage.googleapis.com/kite-augment/augment/meta/info.json?X-Goog-Signature=abc"
}
],
"type": "download"
},
"pixel_exact": false,
"plan": {
"changes": [
{
"description": "make the table dark walnut",
"kind": "in_front"
}
],
"engine": "video",
"reason": "The table's material changes, which needs new video.",
"source_revision": "b28c65d7b892cb8dd4ed61f45158484374330086"
},
"progress": 1,
"source": {
"repo_id": "lerobot/svla_so101_pickplace",
"type": "huggingface"
},
"status": "succeeded",
"status_message": "Output published",
"tokens": {
"charged": 32670
},
"webhook_metadata": {
"ref": "run-42"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}Authorizations
Headers
Body
'auto' (default: the planner picks per camera), 'relight' (colour and exposure transform of every episode), 'background' (a panorama behind the work cell; the robot, objects and table keep their pixels), 'world' (a 3D world rendered from each camera's pose, for moving cameras) or 'video' (generative video augmentation)
Response
The augmentation, processing
One augmentation of a Hugging Face LeRobot dataset, keeping its motion: every episode relit, or new episodes generated by video augmentation.
Whether what the request leaves alone keeps its recorded pixels: true for relight (each pixel recoloured in place) and background or world (the robot, objects and table keep their source pixels); false when generative video made any camera's clips (it redraws every pixel, so the robot and objects can drift or change; each episode's check says what was found). Null until planned
curl --request POST \
--url https://api.kiteml.com/v1/augmentations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": {
"repo_id": "<string>",
"type": "huggingface"
},
"instructions": "<string>",
"config": {
"episode_count": 3,
"variation_prompts": [
"<string>"
],
"relight": {},
"episodes": "all",
"preview_first": true,
"variants": 5,
"allow_video_fallback": true,
"allow_episode_labelling": true,
"allow_environment_substitutes": true
},
"output": {
"type": "download",
"repo_id": "<string>",
"private": true
},
"model": "<string>",
"environments": {
"ids": [
"<string>"
],
"filter": {
"category": "<string>"
},
"prompt": "<string>",
"count": 10
},
"must_keep": [
"<string>"
],
"reference_images": [
{
"data": "<string>",
"camera": "<string>",
"media_type": "image/jpeg"
}
],
"webhook_metadata": {}
}
'import requests
url = "https://api.kiteml.com/v1/augmentations"
payload = {
"source": {
"repo_id": "<string>",
"type": "huggingface"
},
"instructions": "<string>",
"config": {
"episode_count": 3,
"variation_prompts": ["<string>"],
"relight": {},
"episodes": "all",
"preview_first": True,
"variants": 5,
"allow_video_fallback": True,
"allow_episode_labelling": True,
"allow_environment_substitutes": True
},
"output": {
"type": "download",
"repo_id": "<string>",
"private": True
},
"model": "<string>",
"environments": {
"ids": ["<string>"],
"filter": { "category": "<string>" },
"prompt": "<string>",
"count": 10
},
"must_keep": ["<string>"],
"reference_images": [
{
"data": "<string>",
"camera": "<string>",
"media_type": "image/jpeg"
}
],
"webhook_metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {repo_id: '<string>', type: 'huggingface'},
instructions: '<string>',
config: {
episode_count: 3,
variation_prompts: ['<string>'],
relight: {},
episodes: 'all',
preview_first: true,
variants: 5,
allow_video_fallback: true,
allow_episode_labelling: true,
allow_environment_substitutes: true
},
output: {type: 'download', repo_id: '<string>', private: true},
model: '<string>',
environments: {
ids: ['<string>'],
filter: {category: '<string>'},
prompt: '<string>',
count: 10
},
must_keep: ['<string>'],
reference_images: [{data: '<string>', camera: '<string>', media_type: 'image/jpeg'}],
webhook_metadata: {}
})
};
fetch('https://api.kiteml.com/v1/augmentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kiteml.com/v1/augmentations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source' => [
'repo_id' => '<string>',
'type' => 'huggingface'
],
'instructions' => '<string>',
'config' => [
'episode_count' => 3,
'variation_prompts' => [
'<string>'
],
'relight' => [
],
'episodes' => 'all',
'preview_first' => true,
'variants' => 5,
'allow_video_fallback' => true,
'allow_episode_labelling' => true,
'allow_environment_substitutes' => true
],
'output' => [
'type' => 'download',
'repo_id' => '<string>',
'private' => true
],
'model' => '<string>',
'environments' => [
'ids' => [
'<string>'
],
'filter' => [
'category' => '<string>'
],
'prompt' => '<string>',
'count' => 10
],
'must_keep' => [
'<string>'
],
'reference_images' => [
[
'data' => '<string>',
'camera' => '<string>',
'media_type' => 'image/jpeg'
]
],
'webhook_metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kiteml.com/v1/augmentations"
payload := strings.NewReader("{\n \"source\": {\n \"repo_id\": \"<string>\",\n \"type\": \"huggingface\"\n },\n \"instructions\": \"<string>\",\n \"config\": {\n \"episode_count\": 3,\n \"variation_prompts\": [\n \"<string>\"\n ],\n \"relight\": {},\n \"episodes\": \"all\",\n \"preview_first\": true,\n \"variants\": 5,\n \"allow_video_fallback\": true,\n \"allow_episode_labelling\": true,\n \"allow_environment_substitutes\": true\n },\n \"output\": {\n \"type\": \"download\",\n \"repo_id\": \"<string>\",\n \"private\": true\n },\n \"model\": \"<string>\",\n \"environments\": {\n \"ids\": [\n \"<string>\"\n ],\n \"filter\": {\n \"category\": \"<string>\"\n },\n \"prompt\": \"<string>\",\n \"count\": 10\n },\n \"must_keep\": [\n \"<string>\"\n ],\n \"reference_images\": [\n {\n \"data\": \"<string>\",\n \"camera\": \"<string>\",\n \"media_type\": \"image/jpeg\"\n }\n ],\n \"webhook_metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kiteml.com/v1/augmentations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"source\": {\n \"repo_id\": \"<string>\",\n \"type\": \"huggingface\"\n },\n \"instructions\": \"<string>\",\n \"config\": {\n \"episode_count\": 3,\n \"variation_prompts\": [\n \"<string>\"\n ],\n \"relight\": {},\n \"episodes\": \"all\",\n \"preview_first\": true,\n \"variants\": 5,\n \"allow_video_fallback\": true,\n \"allow_episode_labelling\": true,\n \"allow_environment_substitutes\": true\n },\n \"output\": {\n \"type\": \"download\",\n \"repo_id\": \"<string>\",\n \"private\": true\n },\n \"model\": \"<string>\",\n \"environments\": {\n \"ids\": [\n \"<string>\"\n ],\n \"filter\": {\n \"category\": \"<string>\"\n },\n \"prompt\": \"<string>\",\n \"count\": 10\n },\n \"must_keep\": [\n \"<string>\"\n ],\n \"reference_images\": [\n {\n \"data\": \"<string>\",\n \"camera\": \"<string>\",\n \"media_type\": \"image/jpeg\"\n }\n ],\n \"webhook_metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kiteml.com/v1/augmentations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"source\": {\n \"repo_id\": \"<string>\",\n \"type\": \"huggingface\"\n },\n \"instructions\": \"<string>\",\n \"config\": {\n \"episode_count\": 3,\n \"variation_prompts\": [\n \"<string>\"\n ],\n \"relight\": {},\n \"episodes\": \"all\",\n \"preview_first\": true,\n \"variants\": 5,\n \"allow_video_fallback\": true,\n \"allow_episode_labelling\": true,\n \"allow_environment_substitutes\": true\n },\n \"output\": {\n \"type\": \"download\",\n \"repo_id\": \"<string>\",\n \"private\": true\n },\n \"model\": \"<string>\",\n \"environments\": {\n \"ids\": [\n \"<string>\"\n ],\n \"filter\": {\n \"category\": \"<string>\"\n },\n \"prompt\": \"<string>\",\n \"count\": 10\n },\n \"must_keep\": [\n \"<string>\"\n ],\n \"reference_images\": [\n {\n \"data\": \"<string>\",\n \"camera\": \"<string>\",\n \"media_type\": \"image/jpeg\"\n }\n ],\n \"webhook_metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"awaiting_approval": false,
"config": {
"episode_count": 3,
"video_check": "standard"
},
"created_at": "2026-09-27T01:00:00Z",
"id": "aug_01K62QZ8V4X9C3N7M5T2R8W6HB",
"instructions": "Make the table dark walnut and the light warm",
"model": "video",
"object": "augmentation",
"output": {
"files": [
{
"bytes": 3186,
"path": "meta/info.json",
"url": "https://storage.googleapis.com/kite-augment/augment/meta/info.json?X-Goog-Signature=abc"
}
],
"type": "download"
},
"pixel_exact": false,
"plan": {
"changes": [
{
"description": "make the table dark walnut",
"kind": "in_front"
}
],
"engine": "video",
"reason": "The table's material changes, which needs new video.",
"source_revision": "b28c65d7b892cb8dd4ed61f45158484374330086"
},
"progress": 1,
"source": {
"repo_id": "lerobot/svla_so101_pickplace",
"type": "huggingface"
},
"status": "succeeded",
"status_message": "Output published",
"tokens": {
"charged": 32670
},
"webhook_metadata": {
"ref": "run-42"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}